Ansys.com


Pagina 7 di 8 PrimaPrima ... 5678 UltimaUltima
Risultati da 61 a 70 di 73
  1. #61
    Utente poco attivo
    Iscritto dal
    2015
    Messaggi
    4
    Professione
    ingegnere
    Regione
    svizzera
    Software
    sw 2014

    Predefinito macro "brugola"

    salve, dopo la presentazione, ecco il moi problema....

    lo scopo sarebbe quello di selezionare delle viti tipo "brugola" (in drawing view) e mostrare unicamente l'incasso...


    good morning

    sorry for my english ....

    I have a problem with a macro,

    when I select the features manually, and I ask to show the hidden edges, it works ... (Drawing file with parts or assemblies)

    but with a macro, with <<selectByID2>> function, the features are properly selected, I think ...
    then, with the command, << swApp.RunCommand swCommands_Popup_Show_Hidden, "blah blah" >>,


    in assemblies drawing view, it does not work correctly, all the hidden edges are shown ...

    in parts drw, it's ok.


    Why???


    can you help me?

    thank you a lot

    greetings
    CMo


    attached: a picture of the problem, parts, assembly and drawing, and the macro...

    img.jpg

    Dim swApp As SldWorks.SldWorks
    Dim Part As SldWorks.ModelDoc2
    Dim myModelView As SldWorks.View
    Dim boolstatus As Boolean
    Dim longstatus As Long, longwarnings As Long
    Sub main()
    Set swApp = Application.SldWorks
    Set Part = swApp.ActiveDoc

    boolstatus = Part.Extension.SelectByID2("Cut-Extrude2@Part1-2@Drawing View2", "BODYFEATURE", 0, 0, 0, False, 0, Nothing, 0)

    boolstatus = Part.Extension.SelectByID2("Cut-Extrude2@Assem1-2@Drawing View3/Part1-1@Assem1", "BODYFEATURE", 0, 0, 0, True, 0, Nothing, 0)
    boolstatus = Part.Extension.SelectByID2("Cut-Extrude2@Assem1-2@Drawing View4/Part1-1@Assem1", "BODYFEATURE", 0, 0, 0, True, 0, Nothing, 0)
    swApp.RunCommand swCommands_Popup_Show_Hidden, ""
    Part.ClearSelection2 True
    End Sub


    a sinistra i tratti dell'asta della vite, non sono visibili, ed è quello che desidero....
    OKO.jpg
    File Allegati File Allegati

  2. #62
    Utente Senior L'avatar di meccanicamg
    Iscritto dal
    2010
    Messaggi
    5316
    Professione
    ♔ Technical manager - Mechanical engineer ♚
    Regione
    Lombardia
    Software
    SolidWorks, DraftSight, Me10, Freecad, KiSSSoft, Excel

    Predefinito

    Scusa ma non basta mostrare le viste solo a spigoli visibili senza fare cose strane?

  3. #63
    Utente poco attivo
    Iscritto dal
    2016
    Messaggi
    2
    Professione
    progettista/disegnatore
    Regione
    Trentino
    Software
    Vari

    Predefinito

    Salve a tutti, vorrei imparare a fare delle macro, un pò per lavoro e un pò per gusto personale.

    Dove posso trovare una guida che mi spieghi cosa restituiscono i vari oggetti/metodi/funzioni?

    Grazie

  4. #64
    Utente Standard L'avatar di jenuary
    Iscritto dal
    2007
    Messaggi
    297
    Professione
    Progettista e Programmatore VB.Net
    Regione
    Veneto
    Software
    Solidworks

    Predefinito

    Ciao Pitaro,
    una guida su come cominciare la potresti acquistare dal tuo rivenditore SolidWorks, la stessa SolidWorks ha una libro che si chiama Api Foundamentals che costa circa 70 euro.
    Il libro è in inglese ovviamente e richiede una conoscenza di programmazione, come per tutti i testi che ti propongo a seguire.
    Un altro libro potrebbe essere
    Automating SOLIDWORKS 2015 Using Macros che trovi anche su Amazon, scritto da Mike Spens, io possiedo la versione 2013, sempre in inglese, e costa circa 70 Euro.
    Altro libro interessante in due volumi è
    SolidWorks API Series 1 o 2 : Programming & Automation
    che trovi sempre anche in Amzon, anche in versione kindle.

    Cosa importante è che questi libri sono basati su una programmazione in Vba e quindi crei macro, se invece vuoi creare programmi (exe), dovresti utilizzare Visual Basic 2010 (consiglio) o 2013, ma qui viene richiesta una programmazione un pò più "spinta" come linguaggio Visual Basic, ma ti permette di fare anche molto di più, creare interfacce molto più accattivanti e flessibili.

    Quello che puoi imparare da questi libri è la base di partenza, che ti permette poi di espandere le tue macro volta per volta.
    Insomma qualcosa c'è, ovviamente bisogna dedicarci molto tempo e non arrendersi davanti agli ostacoli, poi diventerà una "malattia".

    Te lo dico perché ho programmato talmente tanto SolidWorks che sto perdendo la testa, in senso buono, ed ero partito 10 anni fa come te ora.

    Spero che quanto scritto ti possa essere utile.

    Buona giornata

  5. #65
    Utente Standard L'avatar di New Rider
    Iscritto dal
    2011
    Messaggi
    204
    Professione
    Apprendista
    Regione
    Veneto
    Software
    SolidWorks15+AutocadLt

    Predefinito

    Ciao a tutti..
    Esiste una macro che mi permetta di salvare automaticamente dalla parte 3D (Attivando la ripetizione piatta) il formato DXF?

  6. #66
    Utente poco attivo
    Iscritto dal
    2009
    Messaggi
    8
    Professione
    ingegnere
    Regione
    campania
    Software
    solid edge, catia, solidworks, ansys

    Predefinito

    Salve a tutti, ho un problema magari semplice di soluzione per gli esperti... cosa che purtroppo personalmente non sono :)
    Quando ho un assieme fatto di n parti e voglio inserire la tabella materiali mi interesserebbe vedere comparire dati quali lunghezza, larghezza , spessore dei particolari che in genere , nel mio caso,sono parallelepipedi.
    Ho smanettato un pò nelle proprietà ma allo stato attuale solidwork mi richiede il settaggio parte per parte delle proprietà sopra citate per poi vederle comparire nella distinta materiali.
    Esiste un sistema che mi consenta di caricare in automatico questi dati per ogni nuova parte senza la modifica della tabella proprietà in modo da cliccare semplicemente sull' inserisci tabella e vedere comparire la distinta materiali con i campi interessati?
    Saluto e ringrazio tutti

  7. #67
    Utente Senior L'avatar di MassiVonWeizen
    Iscritto dal
    2009
    Messaggi
    3149
    Professione
    disegnatore
    Regione
    Friuli Venezia Giulia
    Software
    autocad 2013; solidworks 2014

    Predefinito

    prova a guardare questa discussione che mi sembra tratti il tuo stesso argomento
    http://www.cad3d.it/forum1/threads/1...ro-corpi-parti

  8. #68
    Utente poco attivo
    Iscritto dal
    2009
    Messaggi
    8
    Professione
    ingegnere
    Regione
    campania
    Software
    solid edge, catia, solidworks, ansys

    Predefinito

    Citazione Originariamente Scritto da MassiVonWeizen Visualizza Messaggio
    prova a guardare questa discussione che mi sembra tratti il tuo stesso argomento
    http://www.cad3d.it/forum1/threads/1...ro-corpi-parti
    grazie mille

  9. #69
    Utente Junior
    Iscritto dal
    2008
    Messaggi
    55
    Professione
    Libero Professionista
    Regione
    Toscana
    Software
    SWX-SEdge-Acad-Me10

    Predefinito

    Citazione Originariamente Scritto da Gabryn Visualizza Messaggio
    Ho modificato la macro nella zona ...WorkDir = swApp.... e nella definizione file relativo il codice per lo 'step'.
    Allego macro.


    Ciao
    Gabriele
    Ciao Gabryn, l'ho provata con Swx 2016 con Win10 e dà errore. Che sia win 10 che dà probemi?
    Ciao e grazie
    Coltivate Linux..Windows si pianta da solo

  10. #70
    Utente Junior L'avatar di Gabryn
    Iscritto dal
    2007
    Messaggi
    82
    Professione
    Tiralinee
    Regione
    Bs
    Software
    Acad2012,Me10 10.5,Swx16 sp4

    Predefinito

    Citazione Originariamente Scritto da Paco Visualizza Messaggio
    Ciao Gabryn, l'ho provata con Swx 2016 con Win10 e dà errore. Che sia win 10 che dà probemi?
    Ciao e grazie
    Ciao
    Ho modificato leggermente la macro perchè da una parte non salvava nelle directory corrette e dall’altra, se non esisteva
    la sottocartella predefinita per i pdf, i files non venivano salvati.
    Spero fosse questo l’errore che segnalavi. Testato con Win7 64bit e Solidworks 2016 sp.3

    Ciao
    Gabriele
    File Allegati File Allegati
    -Quando tutto va bene, qualcosa andra' male. Corollari: 1. Quando non puo' andar peggio di cosi', lo -fara'.
    2. Se le cose sembrano andar meglio, c'e' qualcosa di cui non stiamo tenendo conto.

  11. Il seguente utente ha ringraziato Gabryn per questo post

    Paco (21-07-2016)


  • Pagina 7 di 8 PrimaPrima ... 5678 UltimaUltima

    Discussioni Simili

    1. Macro solidworks
      Di matty nel forum Solidworks
      Risposte: 16
      Ultimo Messaggio: 03-02-2012, 11: 51
    2. Lavorare con solidworks 2005 e solidworks 2010
      Di angelogianni08 nel forum Altri CAD per la Meccanica
      Risposte: 5
      Ultimo Messaggio: 03-08-2011, 08: 58
    3. Aggiungere "TAG" a sottoscrizioni per trovare post interessanti
      Di reggio nel forum Proposte di modifiche al sito
      Risposte: 9
      Ultimo Messaggio: 27-01-2011, 16: 34
    4. Risposte: 2
      Ultimo Messaggio: 13-12-2010, 09: 36
    5. Link interessanti
      Di arri nel forum Lisp per Autocad
      Risposte: 3
      Ultimo Messaggio: 11-01-2008, 09: 14

    Segnalibri

    Segnalibri

    Permessi di Scrittura

    • Tu non puoi inviare nuove discussioni
    • Tu non puoi inviare risposte
    • Tu non puoi inviare allegati
    • Tu non puoi modificare i tuoi messaggi
    •  



    CAD3D.it - la community dei progettisti